-
    I create supplier S1
-
  !record {model: res.partner, id: supplier1}:
    name: S1
    supplier: True
    partner_type: internal
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
    I create the address for S1
-
  !record {model: res.partner.address, id: address1}:
    name: S1
    partner_id: supplier1
-
    I create the supplier S2
-
  !record {model: res.partner, id: supplier2}:
    name: S2
    supplier: True
    partner_type: external
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
    I create the address for S2
-
  !record {model: res.partner.address, id: address2}:
    name: S2
    partner_id: supplier2
-
    I create the supplier S3
-
  !record {model: res.partner, id: supplier3}:
    name: S3
    supplier: True
    partner_type: esc
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
    I create the address for S3
-
  !record {model: res.partner.address, id: address3}:
    name: S3
    partner_id: supplier3
-
  Create 3 suppliers for test
-
  Create an external supplier
-
  !record {model: res.partner, id: ext_supplier_1}:
    name: External Supplier 1 (Test)
    supplier: 1
    customer: 0
    partner_type: 'external'
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
  Create an address for external supplier 1
-
  !record {model: res.partner.address, id: ext_supplier_1_addr}:
    partner_id: ext_supplier_1
    name: External Supplier 1 (Test)
-
  Create an external supplier
-
  !record {model: res.partner, id: ext_supplier_2}:
    name: External Supplier 2 (Test)
    supplier: 1
    customer: 0
    partner_type: 'external'
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
  Create an address for external supplier 2
-
  !record {model: res.partner.address, id: ext_supplier_2_addr}:
    partner_id: ext_supplier_2
    name: External Supplier 2 (Test)
-
  Create an external supplier
-
  !record {model: res.partner, id: ext_supplier_3}:
    name: External Supplier 3 (Test)
    supplier: 1
    customer: 0
    partner_type: 'external'
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
  Create an address for external supplier 3
-
  !record {model: res.partner.address, id: ext_supplier_3_addr}:
    partner_id: ext_supplier_3
    name: External Supplier 3 (Test)
-
  Create 3 customers for test
-
  Create an external customer
-
  !record {model: res.partner, id: ext_customer_1}:
    name: External Customer 1 (Test)
    customer: 1
    supplier: 0
    partner_type: 'external'
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
  Create an address for external customer 1
-
  !record {model: res.partner.address, id: ext_customer_1_addr}:
    partner_id: ext_customer_1
    name: External Customer 1 (Test)
-
  Create an external customer
-
  !record {model: res.partner, id: ext_customer_2}:
    name: External Customer 2 (Test)
    customer: 1
    supplier: 0
    partner_type: 'external'
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
  Create an address for external customer 2
-
  !record {model: res.partner.address, id: ext_customer_2_addr}:
    partner_id: ext_customer_2
    name: External Customer 2 (Test)
-
  Create an external customer
-
  !record {model: res.partner, id: ext_customer_3}:
    name: External Customer 3 (Test)
    customer: 1
    supplier: 0
    partner_type: 'external'
    property_account_receivable: account_account_receivable_supplier0
    property_account_payable: account_account_payable_supplier0
-
  Create an address for external customer 3
-
  !record {model: res.partner.address, id: ext_customer_3_addr}:
    partner_id: ext_customer_3
    name: External Customer 3 (Test)
